ManageReferralControl (Java Platform SE 8 )
Keywords: javax.naming.ldap.ManageReferralControl class
Date: 2026-03-29

compact3
javax.naming.ldap

## Class ManageReferralControl

- java.lang.Object
- - javax.naming.ldap.BasicControl
  - - javax.naming.ldap.ManageReferralControl

- All Implemented Interfaces:
    Serializable, Control

      public final class ManageReferralControl
      extends BasicControl

  Requests that referral and other special LDAP objects be manipulated as normal LDAP objects. It enables the requestor to interrogate or update such objects.

  This class implements the LDAPv3 Request Control for ManageDsaIT as defined in RFC 3296. The control has no control value.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OID` The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.

    - ### Fields inherited from class javax.naming.ldap.BasicControl

      `criticality, id, value`

    - ### Fields inherited from interface javax.naming.ldap.Control

      `CRITICAL, NONCRITICAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageReferralControl()` Constructs a critical ManageReferral control.
    `ManageReferralControl(boolean criticality)` Constructs a ManageReferral control.

  - ### Method Summary

    - ### Methods inherited from class javax.naming.ldap.BasicControl

      `getEncodedValue, getID, isCritical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OID

          public static final String OID

      The ManageReferral control's assigned object identifier is 2.16.840.1.113730.3.4.2.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManageReferralControl

          public ManageReferralControl()

      Constructs a critical ManageReferral control.

    - #### ManageReferralControl

          public ManageReferralControl(boolean criticality)

      Constructs a ManageReferral control.
      Parameters:
        `criticality` - The control's criticality setting.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.